#
# Conditional build:
%bcond_without	opt		# build opt

%ifarch x32
%undefine	with_opt
%endif
Summary:	FUSE filesystem over Google Drive
Name:		google-drive-ocamlfuse
Version:	0.6.21
Release:	1
License:	BSD
Group:		Applications/Networking
Source0:	https://github.com/astrada/google-drive-ocamlfuse/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	96d5a7c877d9f93b8f04dde67f96b725
Patch0:		noopt-fuse.patch
URL:		https://github.com/astrada/google-drive-ocamlfuse
BuildRequires:	cppo >= 0.9.3
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-biniou-devel >= 1.0.6
BuildRequires:	ocaml-cryptokit-devel >= 1.9
BuildRequires:	ocaml-curl-devel >= 0.6.0
BuildRequires:	ocaml-easy-format-devel >= 1.0.1
BuildRequires:	ocaml-extlib-devel >= 1.5.4
BuildRequires:	ocaml-findlib >= 1.4
BuildRequires:	ocaml-fuse-devel >= 2.7
BuildRequires:	ocaml-gapi-ocaml-devel >= 0.2.14
BuildRequires:	ocaml-idl-devel >= 1.05
BuildRequires:	ocaml-sqlite-devel >= 2.0.4
BuildRequires:	ocaml-xmlm-devel >= 1.1.1
BuildRequires:	ocaml-yojson-devel >= 1.1.6
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define debug_package %{nil}

%description
google-drive-ocamlfuse is a FUSE filesystem backed by Google Drive,
written in OCaml. It lets you mount your Google Drive on Linux.

Features
- Full read/write access to ordinary files and folders
- Read-only access to Google Docs, Sheets, and Slides (exported to
  configurable formats)
- Multiple account support
- Duplicate file handling
- Access to trash (.Trash directory)

%package devel
Summary:	Google Drive ocamlfuse - development part
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%prep
%setup -q
%{!?with_opt:%patch0 -p1}

%build
ocaml setup.ml -configure \
	--prefix $RPM_BUILD_ROOT/%{_prefix}

ocaml setup.ml -build

%install
rm -rf $RPM_BUILD_ROOT

ocaml setup.ml -install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.md README.md
%attr(755,root,root) %{_bindir}/google-drive-ocamlfuse
%changelog
* Mon Sep 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/google-drive-ocamlfuse.git;a=log;h=master

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> 533d238
- up to 0.6.21

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 23acf61
- hack around fuse linking on no-opt build
- rel 2

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 81c4c21
- fix install

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 79af1d0
- updated BRs

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 90c21db
- up to 0.6.19

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 51090c6
- rebuild with ocaml 4.04.1
- release 2 (by relup.sh)

* Tue Aug 23 2016 Jan Rękorajski <baggins@pld-linux.org> 31a2321
- rel 1

* Tue Aug 23 2016 Jan Rękorajski <baggins@pld-linux.org> 6133411
- fix ocaml-fuse ver

* Tue Aug 23 2016 Jan Rękorajski <baggins@pld-linux.org> 4503589
- started update to 0.5.22

* Sun Apr 12 2015 Jan Rękorajski <baggins@pld-linux.org> 1af5bc7
- up to 0.5.14

* Sat Aug 30 2014 Jan Rękorajski <baggins@pld-linux.org> 3713060
- up to 0.5.5

* Thu Aug 21 2014 Jan Rękorajski <baggins@pld-linux.org> be22839
- added docs

* Thu Aug 21 2014 Jan Rękorajski <baggins@pld-linux.org> 19be9f5
- up to 0.5.3
- fixed BRs

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 5e332af
- new, version 0.5.1

